Subject: Re: linux-next: driver-core tree build warning

From: Stephen Rothwell <[email-masked]>
Date: Wed, 20 Jan 2010 10:45:25 +1100

Hi Greg,

On Tue, 19 Jan 2010 13:04:17 -0800 Greg KH <[email-masked]> wrote:
>
> On Tue, Jan 19, 2010 at 05:27:41PM +1100, Stephen Rothwell wrote:
> > Hi Greg,
> > 
> > Today's linux-next build (powerpc ppc64_defconfig) produced this warning:
> > 
> > drivers/base/cpu.c:264: warning: initialization from incompatible pointer type
> > drivers/base/cpu.c:265: warning: initialization from incompatible pointer type
> > 
> > Introduced by commit 380567d3dc35a62f5cc0ec640a45dfc238238417 ("sysdev:
> > Convert node driver")?
> 
> No, I don't think that patch causes the warning, I can't duplicate it
> here.
> 
> I don't know what patch causes that problem, as I can't duplicate it in
> my tree at all.  Maybe some 'const' patch snuck in from some other tree?
> 
> strange,

OK, if it is still there today, I will look deeper.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/